{% extends 'base.html' %}
{% load static %}
{% load add_widget_css %}
{% block title %}
  Sign up Page
{% endblock title %}
{% block page_scripts_head %}
  <script src="{% static 'js/postSubmit.js' %}"></script>
{% endblock page_scripts_head %}
{% block content %}
  <main>
    <div class="section content">
      {% if user.is_authenticated %}
        <div clas="container is-max-desktop">
          <div class="max-width-320 mx-auto mt-5 notification has-text-centered is-danger">You are already logged in...</div>
        </div>
      {% else %}
        <div class="columns is-centered">
          <div class="column is-half">
            <div class="mt-5 max-width-320 container box{% if form.errors %} shake{% endif %}">
              <h1 class="has-text-weight-bold has-text-centered">Sign up</h1>
              <form class="mt-3" method="post" onsubmit="disableButton('submit')">
                {% csrf_token %}
                {{ form.non_field_errors }}
                <div class="field">
                  {{ form.username.label_tag }}
                  <div class="control has-icons-left">
                    {% if form.username.errors %}
                      {{ form.username|add_widget_css:'is-danger' }}
                    {% else %}
                      {{ form.username }}
                    {% endif %}
                    <span class="icon is-small is-left">
                      <i class="fas fa-envelope"></i>
                    </span>
                    {{ form.username.errors }}
                  </div>
                </div>
                <div class="field">
                  {{ form.full_name.label_tag }}
                  <div class="control has-icons-left">
                    {% if form.full_name.errors %}
                      {{ form.full_name|add_widget_css:'is-danger' }}
                    {% else %}
                      {{ form.full_name }}
                    {% endif %}
                    <span class="icon is-small is-left">
                      <i class="fas fa-user-tag"></i>
                    </span>
                    {{ form.full_name.errors }}
                  </div>
                </div>
                <div class="field">
                  {{ form.short_name.label_tag }}
                  <div class="control has-icons-left">
                    {% if form.short_name.errors %}
                      {{ form.short_name|add_widget_css:'is-danger' }}
                    {% else %}
                      {{ form.short_name }}
                    {% endif %}
                    <span class="icon is-small is-left">
                      <i class="fas fa-user-check"></i>
                    </span>
                    {{ form.short_name.errors }}
                  </div>
                </div>
                <div class="field">
                  {{ form.password.label_tag }}
                  <div class="control has-icons-left">
                    {% if form.password.errors %}
                      {{ form.password|add_widget_css:'is-danger' }}
                    {% else %}
                      {{ form.password }}
                    {% endif %}
                    <span class="icon is-small is-left">
                      <i class="fas fa-lock"></i>
                    </span>
                    {{ form.password.errors }}
                  </div>
                </div>
                <div class="field">
                  {{ form.password_confirmation.label_tag }}
                  <div class="control has-icons-left">
                    {% if form.password_confirmation.errors %}
                      {{ form.password_confirmation|add_widget_css:'is-danger' }}
                    {% else %}
                      {{ form.password_confirmation }}
                    {% endif %}
                    <span class="icon is-small is-left">
                      <i class="fas fa-lock"></i>
                    </span>
                    {{ form.password_confirmation.errors }}
                  </div>
                </div>
                <div class="field">
                  <p class="control">
                    <button id="submit" class="mt-5 button is-info is-fullwidth" role="button">Sign Up</button>
                  </p>
                  <p class="help has-text-centered">
                    Already have an account? <a class="has-text-weight-bold" href="{% url 'login' %}">Login</a>
                  </p>
                </div>
              </form>
            </div>
          </div>
        </div>
      {% endif %}
    </div>
  </main>
{% endblock content %}
